Summary:	Utility for comparing/merging up to three text files or directories
Name:		kdiff3
Version:	0.9.97
Release:	%mkrel 2
License:	GPLv2+
Group:		Development/Other
Source:		http://downloads.sourceforge.net/kdiff3/kdiff3-%{version}.tar.gz
Url:		http://kdiff3.sourceforge.net/
BuildRequires:	kdebase4-devel
BuildRequires:	desktop-file-utils

%description
A file and directory diff and merge tool which:
   * compares and merges two or three text input files or directories
   * shows the differences line by line and character by character(!)
   * provides an automatic merge-facility
   * has an editor for comfortable solving of merge-conflicts
   * provides network transparency via KIO
   * has options to highlight or hide changes in white-space or comments

%prep
%setup -q

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --add-category="Qt" \
  --add-category="KDE" \
  --add-category="Development" \
  --dir $RPM_BUILD_ROOT%{_kde_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_kde_datadir}/applications/kde4/*.desktop

%find_lang %{name} %{name} kdiff3plugin --with-html

%files -f %{name}.lang
%{_kde_bindir}/%{name}
%{_kde_libdir}/kde4/*
%{_kde_appsdir}/%name
%{_kde_datadir}/applications/kde4/*.desktop
%{_kde_iconsdir}/*/*/apps/*.png
%{_kde_services}/*.desktop
%{_datadir}/locale/*/LC_MESSAGES/kdiff3fileitemactionplugin.mo
%{_datadir}/apps/kdiff3part/kdiff3_part.rc



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.9.97-2.mga3
+ Revision: 356108
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 07 2012 fwang <fwang> 0.9.97-1.mga3
+ Revision: 289110
- new version 0.9.97

* Fri Sep 30 2011 shlomif <shlomif> 0.9.96-1.mga2
+ Revision: 150594
- New version - 0.9.96 - thanks to barjac

* Wed Mar 02 2011 ahmad <ahmad> 0.9.95-4.mga1
+ Revision: 62471
- imported package kdiff3

